Get one distribution
curl --request GET \
--url https://api.quiva.ai/accounts/distribution \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.quiva.ai/accounts/distribution"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.quiva.ai/accounts/distribution', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quiva.ai/accounts/distribution",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.quiva.ai/accounts/distribution"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.quiva.ai/accounts/distribution")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quiva.ai/accounts/distribution")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"distribution": {
"publisher_account_id": "<string>",
"distributor_account_id": "<string>",
"distributor_name": "<string>",
"publisher_name": "<string>",
"distribution_id": "<string>",
"products": [
{}
],
"status": "pending",
"status_reason": "<string>",
"scope": [
"<string>"
],
"provisioning_state": "<string>",
"space_id": "<string>",
"publisher_space_id": "<string>",
"distributor_space_id": "<string>",
"record_config_ids": [
"<string>"
],
"invite_id": "<string>",
"granted_by": "<string>",
"requested_by": "<string>",
"effective_from": "<string>",
"effective_to": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
},
"refusal_code": "<string>",
"active_products": [
"<string>"
],
"product_refusal_code": "<string>"
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Distribution Register
Get one distribution
Reads one register entry the calling account is party to. Supply exactly one of publisher_account_id or distributor_account_id; the other comes from the session. Root, admin, developer, monitoring and billing roles.
GET
/
accounts
/
distribution
Get one distribution
curl --request GET \
--url https://api.quiva.ai/accounts/distribution \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.quiva.ai/accounts/distribution"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.quiva.ai/accounts/distribution', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quiva.ai/accounts/distribution",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.quiva.ai/accounts/distribution"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.quiva.ai/accounts/distribution")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quiva.ai/accounts/distribution")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"distribution": {
"publisher_account_id": "<string>",
"distributor_account_id": "<string>",
"distributor_name": "<string>",
"publisher_name": "<string>",
"distribution_id": "<string>",
"products": [
{}
],
"status": "pending",
"status_reason": "<string>",
"scope": [
"<string>"
],
"provisioning_state": "<string>",
"space_id": "<string>",
"publisher_space_id": "<string>",
"distributor_space_id": "<string>",
"record_config_ids": [
"<string>"
],
"invite_id": "<string>",
"granted_by": "<string>",
"requested_by": "<string>",
"effective_from": "<string>",
"effective_to": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
},
"refusal_code": "<string>",
"active_products": [
"<string>"
],
"product_refusal_code": "<string>"
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
bearerAuthapiKeyAuth